Create Action
curl --request POST \
--url https://api.vocode.dev/v1/actions/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "action_transfer_call",
"config": {
"phone_number": "<string>"
},
"action_trigger": {
"type": "action_trigger_function_call",
"config": {}
}
}
'import requests
url = "https://api.vocode.dev/v1/actions/create"
payload = {
"type": "action_transfer_call",
"config": { "phone_number": "<string>" },
"action_trigger": {
"type": "action_trigger_function_call",
"config": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'action_transfer_call',
config: {phone_number: '<string>'},
action_trigger: {type: 'action_trigger_function_call', config: {}}
})
};
fetch('https://api.vocode.dev/v1/actions/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "action_transfer_call",
"config": {
"phone_number": "<string>"
},
"action_trigger": {
"type": "action_trigger_function_call",
"config": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Actions
Create Action
POST
/
v1
/
actions
/
create
Create Action
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- TransferCallActionParams
- EndConversationActionParams
- DTMFActionParams
- AddToConferenceActionParams
- SetHoldActionParams
- ExternalActionParams
Response
Successful Response
- TransferCallAction
- EndConversationAction
- DTMFAction
- AddToConferenceAction
- SetHoldAction
- ExternalAction
Available options:
action_transfer_call Allowed value:
"action_transfer_call"Show child attributes
Show child attributes
- FunctionCallActionTrigger
- PhraseBasedActionTrigger
Show child attributes
Show child attributes
⌘I
